<?php
include_once("c_esmo_magnit_instruction_card_edit_step1.php");
class c_page_cab_esmo_magnit_instruction_card_edit_step2 extends c_page_cab_esmo_magnit_instruction_card_edit_step1
{
  public $h1='Редактирование параметров инструктажа - выбор участников' ;
    
  function select_obj_info()
  {  parent::select_obj_info(); 
     if ($this->rec_event['pkey']) 
     { $this->h1=$this->obj_event->name.' '.$this->rec_event['obj_name'].' - выбор участников' ;
       if ($this->rec_event['enabled']) $this->after_save_url=$this->rec_event['__href'].'edit/step2/' ;
       else                             $this->after_save_url=$this->rec_event['__href'].'edit/step3/' ;
     }
  }
    
  function block_main()
  { $this->page_title() ;
    // общий интерфейс для всех сущностей по отбору сотрудников
    include_once(_DIR_EXT.'/personal/panel_select_personals_to_filter.php') ;
    $options=array() ;
    if ($this->rec_event['ext']=='esmo_magnit_instruction/i_event_instruction2') $options['comment']='с учетом сроков по организациям' ;
    $options['show_filter_job_data']=1 ;
    panel_select_personals_to_filter('events',$this->rec_event,$options) ;
  }

}
?>